Subject: [6lowpan] [Technical Errata Reported] RFC4919 (1789)

From: RFC Errata System <[email-masked]>
Date: Mon, 1 Jun 2009 09:11:24 -0700 (PDT)

The following errata report has been submitted for RFC4919,
"IPv6 over Low-Power Wireless Personal Area Networks (6LoWPANs): Overview, Assumptions, Problem Statement, and Goals".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4919&eid=1789

--------------------------------------
Type: Technical
Reported by: Jeffrey Wildman <[email-masked]>

Section: 5. Goals

Original Text
-------------
   1.  Fragmentation and Reassembly layer: As mentioned in the overview,
       the protocol data units may be as small as 81 bytes.  This is
       obviously far below the minimum IPv6 packet size of 1280 octets,
       and in keeping with Section 5 of the IPv6 specification
       [RFC2460], a fragmentation and reassembly adaptation layer must
       be provided at the layer below IP.

Corrected Text
--------------
   1.  Fragmentation and Reassembly layer: As mentioned in the overview,
       the payload of medium access layer frames may be capped in size (as small 
       as 81 bytes).  This is obviously far below the minimum IPv6 Maximum 
       Transmission Unit (MTU) size of 1280 octets, and in keeping with Section 5 
       of the IPv6 specification [RFC2460], a fragmentation and reassembly 
       adaptation layer must be provided at the layer below IP.

Notes
-----
Changed 'protocol data units' to 'medium access layer frames' for clarity.

Changed 'may be as small as 81 bytes' to 'may be capped in size (as small as 81 bytes)'.  We are highlighting the fact that link layer payloads can't exceed some size X, while we are also expecting IPv6 packets much larger than X bytes to be pushed down to the link layer.  (Hence the requirement for fragmentation and reassembly mechanisms at the link layer.)

'minimum IPv6 packet size of 1280 octets' changed to 'minimum IPv6 MTU size of 1280 octets'.  In the IPv6 specification [RFC 2460], Section 5 'Packet Size Issues' says that the minimum allowable IPv6 MTU is 1280 octets.  This is not equivalent to saying that the minimum IPv6 packet size is 1280 bytes (as suggested in the original text in RFC 4919).

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC4919 (draft-ietf-6lowpan-problem-08)
--------------------------------------
Title               : IPv6 over Low-Power Wireless Personal Area Networks (6LoWPANs): Overview, Assumptions, Problem Statement, and Goals
Publication Date    : August 2007
Author(s)           : N. Kushalnagar, G. Montenegro, C. Schumacher
Category            : INFORMATIONAL
Source              : IPv6 over Low power WPAN
Area                : Internet
Stream              : IETF
Verifying Party     : IESG